From c9cf174e4ebdc9d4e61e128ac2e6711a05aaecab Mon Sep 17 00:00:00 2001
From: chenxi <xi_chen@juzugame.com>
Date: Mon, 8 May 2023 14:39:36 +0800
Subject: [PATCH] proto

---
 Assets/proto/protocol.bytes | 109 ++++++++++++++++++++++++------------
 1 file changed, 73 insertions(+), 36 deletions(-)

diff --git a/Assets/proto/protocol.bytes b/Assets/proto/protocol.bytes
index 959ace899..cfa631f06 100644
--- a/Assets/proto/protocol.bytes
+++ b/Assets/proto/protocol.bytes
@@ -1,5 +1,5 @@
 
-åZ
+žc
 pb/proto/protocol.protocspb"ž
 
 BattlePass1
@@ -42,16 +42,24 @@ totalCount
 chapter_info (2.cspb.Chapter.ChapterInfoEntryRchapterInfoQ
 ChapterInfoEntry
 key (Rkey'
-value (2.cspb.ChapterInfoRvalue:8"d
+value (2.cspb.ChapterInfoRvalue:8"0
+ChapterStartReq
+
+chapter_id (R	chapterId"~
+ChapterStartRsp(
+err_code (2
.cspb.ErrCodeRerrCode
+
+chapter_id (R	chapterId"
+costs (2.cspb.RewardRcosts"d
 ChapterSettlementReq
 win (Rwin
 
 chapter_id (R	chapterId
-	pass_wave (RpassWave"±
+	pass_wave (RpassWave"©
 ChapterSettlementRsp(
 err_code (2
.cspb.ErrCodeRerrCode&
-rewards (2.cspb.RewardRrewards,
-current_chapter_id (RcurrentChapterId
+rewards (2.cspb.RewardRrewards$
+max_chapter_id (RmaxChapterId
 max_wave (RmaxWave"H
 ChapterBoxRewardReq
 
@@ -79,7 +87,21 @@ chapter_id (R	chapterId
 level (Rlevel"*
 Recovery
 id (Rid
-ts (Rts"
+ts (Rts"M
+EnergyLimit#
+
diamond_count (RdiamondCount
+ad_count (RadCount"
+EnergyByDiamondReq"À
+EnergyByDiamondRsp(
+err_code (2
.cspb.ErrCodeRerrCode4
+energy_limit (2.cspb.EnergyLimitRenergyLimit&
+rewards (2.cspb.RewardRrewards"
+costs (2.cspb.RewardRcosts"
+
EnergyByADReq"—
+
EnergyByADRsp(
+err_code (2
.cspb.ErrCodeRerrCode4
+energy_limit (2.cspb.EnergyLimitRenergyLimit&
+rewards (2.cspb.RewardRrewards"
 FundData!
 free_awarded (RfreeAwarded&
 pay_low_awarded (R
payLowAwarded(
@@ -100,27 +122,31 @@ id_with_lv (2.cspb.IdWithLvRidWithLv"
 err_code (2
.cspb.ErrCodeRerrCode,
 
 id_with_lv (2.cspb.IdWithLvRidWithLv&
-rewards (2.cspb.RewardRrewards"{
-Guide
-id (Rid)
-func (2.cspb.Guide.FuncEntryRfunc7
+rewards (2.cspb.RewardRrewards"k
+Guide)
+func (2.cspb.Guide.FuncEntryRfunc7
 	FuncEntry
 key (Rkey
-value (Rvalue:8"
-MarkGuideReq
-id (Rid"H
-MarkGuideRsp(
-err_code (2
.cspb.ErrCodeRerrCode
-id (Rid"
-SkipGuideReq"8
-SkipGuideRsp(
-err_code (2
.cspb.ErrCodeRerrCode""
-HeroUpgradeReq
-ids (Rids"^
+value (Rvalue:8""
+GuideFundMarkReq
+id (Rid"<
+GuideFundMarkRsp(
+err_code (2
.cspb.ErrCodeRerrCode" 
+HeroUpgradeReq
+id (Rid"~
 HeroUpgradeRsp(
-err_code (2
.cspb.ErrCodeRerrCode"
-heroes (2
-.cspb.HeroRheroes"¶
+err_code (2
.cspb.ErrCodeRerrCode
+hero (2
+.cspb.HeroRhero"
+costs (2.cspb.RewardRcosts"
+HeroPutOnReq
+id (Rid"«
+HeroPutOnRsp(
+err_code (2
.cspb.ErrCodeRerrCode6
+heroes (2.cspb.HeroPutOnRsp.HeroesEntryRheroes9
+HeroesEntry
+key (Rkey
+value (Rvalue:8"¶
 Mail
 id (Rid
 title (	Rtitle
@@ -212,12 +238,22 @@ MallPayNtf&
 AdFreeDailyGiftReq"f
 AdFreeDailyGiftRsp(
 err_code (2
.cspb.ErrCodeRerrCode&
-rewards (2.cspb.RewardRrewards"E
+rewards (2.cspb.RewardRrewards"u
 Pig
 
 current_id (R	currentId
-add_diamond (R
-addDiamond"¡
+add_diamond (R
+addDiamond
+full_at (RfullAt
+buy_at (RbuyAt"
+PigLevelDownReq"
+PigLevelDownRsp".
+PigLevelDownNtf
+pig (2	.cspb.PigRpig",
+
PigLevelUpNtf
+pig (2	.cspb.PigRpig"/
+PigPlayUpdateNtf
+pig (2	.cspb.PigRpig"¡
 	BasicInfo
 name (	Rname
 level (Rlevel
@@ -239,15 +275,13 @@ ClientInfo
 network_type	 (	RnetworkType
 language
  (	Rlanguage
-timezone (	Rtimezone"–
+timezone (	Rtimezone"÷
 Bag*
 items (2.cspb.Bag.ItemsEntryRitems-
 heroes (2.cspb.Bag.HeroesEntryRheroes9
 
 recoveries (2.cspb.Bag.RecoveriesEntryR
-recoveries
-
-runes_next (R	runesNextD
+recoveriesD
 
 ItemsEntry
 key (Rkey 
@@ -320,7 +354,7 @@ facebookId"C
 client_info (2.cspb.ClientInfoR
 clientInfo
 
-skip_guide (R	skipGuide"•
+skip_guide (R	skipGuide"Ê
 LoginRsp(
 err_code (2
.cspb.ErrCodeRerrCode*
 today_first_login (RtodayFirstLogin
@@ -346,7 +380,8 @@ battlePass+
 fund (2
 .cspb.FundRfund'
 chapter (2
.cspb.ChapterRchapter
-pig (2	.cspb.PigRpig"U
+pig (2	.cspb.PigRpig3
+energyLimit (2.cspb.EnergyLimitRenergyLimit"U
 PipedReq
 id (
Rid
 ts (Rts
@@ -402,7 +437,7 @@ TasksEntry
 open_day_ts (R	openDayTs
 	login_day (RloginDay/
 tasks (2.cspb.SevenDay.TasksEntryRtasks5
-Claimed (2.cspb.SevenDay.ClaimedEntryRClaimedJ
+claimed (2.cspb.SevenDay.ClaimedEntryRclaimedJ
 
 TasksEntry
 key (Rkey&
@@ -428,7 +463,7 @@ TasksEntry
 rewards (2.cspb.RewardRrewards:
 ClaimedEntry
 key (Rkey
-value (Rvalue:8*÷
+value (Rvalue:8*®
 ErrCode
 SUCCESS
 
@@ -494,7 +529,9 @@ TasksEntry
 !COLLECTION_EQUIP_LEVEL_NOT_ENOUGHø
 !
 BATTLE_PASS_TASK_NOT_REACHEDÜ
-BATTLE_PASS_TASK_CLAIMEDÝ*L
+BATTLE_PASS_TASK_CLAIMEDÝ
+ENERGY_BY_DIAMOND_LIMITÀ
+ENERGY_BY_AD_LIMITÁ*L
 
KickOutReason
 MAINTAIN
 	FLOW_CTRL
